From: William Desportes <williamdes@wdes.fr>
Date: Sun, 15 Dec 2024 23:33:22 +0100
Subject: Enforce isIIS=false

Origin: vendor
Forwarded: not-needed
---
 core/SettingsServer.php | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/core/SettingsServer.php b/core/SettingsServer.php
index 5332b69..1b46ef4 100644
--- a/core/SettingsServer.php
+++ b/core/SettingsServer.php
@@ -76,6 +76,9 @@ class SettingsServer
      */
     public static function isIIS()
     {
+        // Disable the logic that would write files to protect directory index for IIS
+        return false;
+
         $iis = isset($_SERVER['SERVER_SOFTWARE']) &&
             preg_match('/^Microsoft-IIS\/(.+)/', $_SERVER['SERVER_SOFTWARE'], $matches) &&
             version_compare($matches[1], '7') >= 0;
